Bug 16693 - reserve/renewscript.pl is not used and should be removed
Summary: reserve/renewscript.pl is not used and should be removed
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Julian Maurice
QA Contact: Testopia
URL:
Keywords:
Depends on: 11703
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-08 11:47 UTC by Julian Maurice
Modified: 2017-12-07 22:17 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16693: Remove reserve/renewscript.pl (4.74 KB, patch)
2016-06-08 11:48 UTC, Julian Maurice
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16693: Remove reserve/renewscript.pl (4.79 KB, patch)
2016-06-14 04:19 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
Bug 16693: Remove reserve/renewscript.pl (4.86 KB, patch)
2016-06-14 16:01 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2016-06-08 11:47:05 UTC
It seems that reserve/renewscript.pl is not used since bug 11703.
This script should be removed.
Comment 1 Julian Maurice 2016-06-08 11:48:27 UTC Comment hidden (obsolete)
Comment 2 Julian Maurice 2016-06-08 11:51:23 UTC
Test plan:
1. Confirm that no occurences of this script remains in the code (git grep renewscript)
2. Check that you can still renew loans (which is what this is script was supposed to do... I guess ?)
Comment 3 Srdjan Jankovic 2016-06-14 04:19:44 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2016-06-14 16:01:59 UTC
Created attachment 52396 [details] [review]
Bug 16693: Remove reserve/renewscript.pl

It is not used since bug 11703

Signed-off-by: Srdjan <srdjan@catalyst.net.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Kyle M Hall 2016-06-17 15:58:52 UTC
Pushed to master for Koha 16.11, thanks Julian!
Comment 6 Frédéric Demians 2016-06-24 05:48:30 UTC
Pushed in 16.05. Will be in 16.05.01.
Comment 7 Julian Maurice 2016-07-01 07:42:48 UTC
Patch pushed to 3.22.x, will be in 3.22.9